Download it now!
Bug 72082 - EDITING: Cut and paste cells from Excell2010 into Calc incomplete
Summary: EDITING: Cut and paste cells from Excell2010 into Calc incomplete
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-27 19:09 UTC by djosiasmp
Modified: 2015-07-18 17:27 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example of source data (42.42 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2013-11-27 19:09 UTC, djosiasmp
Details
Example of Calc problem (31.67 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-11-27 19:10 UTC, djosiasmp
Details
Example of source data (42.42 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2013-11-28 00:41 UTC, djosiasmp
Details

Note You need to log in before you can comment on or make changes to this bug.
Description djosiasmp 2013-11-27 19:09:21 UTC
Created attachment 89912 [details]
Example of source data

I have an Excel2010 file that has three rows of data up to the "ZY" column.

I select the three rows and paste into a Calc document; the Data is truncated at the "IV" column.

Pasting the same data from Excel2010 into Excel2010 does not truncate the data and keeps fromatting.

Copying from "IW" to "ZY" and pasting into Calc pastes just the data for "IV" even if it was not selected.

Copying columns "IW" to "ZY" and pasting into Excell from column "D" onwards, then copying again and pasting into Calc works and truncates at the same column ("IV") once more.

Expected behaviour would be to paste all data at once. It is clearly not a memory problem because it pastes into Notepad with no truncation. 

Also, Data pasted from Calc to Calc is OK; Calc to Excel2010 works but looses the time format.
Comment 1 djosiasmp 2013-11-27 19:10:03 UTC
Created attachment 89913 [details]
Example of Calc problem
Comment 2 Tim Lloyd 2013-11-27 23:06:40 UTC
Hi, the first doc is text and the 2nd doc is the resultant ods file. Can you post a copy of your xls doc pls?
Comment 3 djosiasmp 2013-11-28 00:39:36 UTC
The first document is in *.xlsx format but the auto selector doesn't recognise it.
Furthermore, bugzilla complains if I manually try to put it as "xlsx" or "excel"
Comment 4 djosiasmp 2013-11-28 00:41:17 UTC
Created attachment 89928 [details]
Example of source data

Marked as binary
Comment 5 QA Administrators 2015-04-19 03:20:24 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   *Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1 or later)
   https://www.libreoffice.org/download/

   *If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
   *If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   *Update the version field
   *Reply via email (please reply directly on the bug tracker)
   *Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 
3. Leave a comment with your results. 
4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-04-18
Comment 6 Buovjaga 2015-06-15 11:52:00 UTC
Never confirmed by QA.
Is this still a problem?

Set to NEEDINFO.
Change back to UNCONFIRMED, if the problem persists. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 7 QA Administrators 2015-07-18 17:27:19 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-07-18